# Bienvenido a LaunchSim
### Simulador de trayectorias para lanzaderas

## Descripción.

El objetivo de este programa es a partir de unos parámetros de entrada, conseguir una estimación mecánica y energética de las necesidades de la lanzadera para cumplir los objetivos de entrada. La aplicación cuenta con tres pestañas:

- **Simulación**: Pestaña en la que se introducen los datos y se visualiza la trayectoria en tiempo real.
- **Coef. Rozamiento**: Si se quiere tener en cuenta el efecto del rozamiento del aire, se podrá elegir en esta pantalla una geometría para el proyectil y calculará automáticamente el coeficiente de rozamiento.
- **Optimización**: Una vez generada una primera simulación, se puede optimizar para conseguir la el ángulo de lanzamiento que requiere la menor velocidad, minimizando así la energía. La optimización solo se puede realizar si el modo de simulación es *Alcance*.

## Instrucciones de instalación

Para poner en marcha la aplicación, hay dos opciones:

- Directamente desde la consola de tu equipo
    1. Tener *python* instalado.
    2. Ejecutar `pip install -r requirements.txt`
    3. Ejecutar `python main.py` desde el directorio del proyecto

- Desde docker:
    1. Tener *Docker Desktop* instalado.
    2. Ejecutar el archivo *buildimage.bat*
    3. Ejecutar el archivo *launcher.bat*

## Para desarrolladores del programa

Una vez descargado el código desde el repositorio, es necesario crear un archivo *SECRETS* para subir nuevas versiones al registro, con el siguiente formato:
```
REG_USER=usuario
REG_PASSWORD=contraseña
```

## Contacto
E-mail: pedrojrg@spark-ops.com